// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
//  WaitPanCtrl.h
//  Created by djzero00 -- Copyright (c) 2002
//
// Finestra di lavori in corso

#import <Cocoa/Cocoa.h>

@interface WaitPanCtrl : NSWindowController
{
    IBOutlet NSTextField *infoText;
    IBOutlet NSProgressIndicator *progressBar;
}
// metodi da utilizzare per il controllo dell'avanzamento
+ (void) setText: (NSString*) title ;
+ (void) animate: (id) sender ;
+ (void) showHide: (BOOL) state ;

// metodi interni alla classe
+ (id) sharedProgress ;
- (id ) init ;
- (void ) setMainText: (NSString*) title ;
- (void)  animation: (id) sender ;

@end
