// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
//  djZeroUtils.h
//  Created by djzero00 - - Copyright (c) 2002
//
// utilities di vario genere per il mio uso e consumo

#import <Cocoa/Cocoa.h>

// --------------------------------------------------------------------- 
// define sparsi per il codice

// riduzione dello spazio occupato su disco evitando di
// salvare le varie rappresentazioni delle icone
#define		REDUCE_ICON_ON_FILE		1

// il catalogo cataloga solo volumi
#define		ADD_ONLY_VOLUMES		1

// seguo i consigli apple sui formatter codice os9
#define		TYPECREAT_APPLE_DOC		1

// --------------------------------------------------------------------- 
// macro di utilita' generale

// macro per i metodi accessor
#define		OBJ_ACC_SET( var, new )		\
	{ [new retain]; [var autorelease]; var = new; }

// --------------------------------------------------------------------- 
// funzioni di utilita' generale

// funzione per la riduzione delle dimensioni delle immagini
void	reduceImageToIcon( NSImage * img ) ;

// funzioni per l'ordinamento di FileStruct
int	ascSortFunc( id el1, id el2, void * ctx ) ;
int	desSortFunc( id el1, id el2, void * ctx ) ;

